# AP4_RtpPacket Class Reference

`#include <Ap4RtpHint.h>`

Inheritance diagram for AP4_RtpPacket:

List of all members.

## Public Member Functions
| AP4_RtpPacket (AP4_ByteStream &stream)
| AP4_RtpPacket (int relative_time, bool p_bit, bool x_bit, bool m_bit, AP4_UI08 payload_type, AP4_UI16 sequence_seed, int time_stamp_offset=0, bool bframe_flag=false, bool repeat_flag=false)
| ~AP4_RtpPacket ()
AP4_Result | Write (AP4_ByteStream &stream)
AP4_Result | AddConstructor (AP4_RtpConstructor *constructor)
AP4_Size | GetSize ()
AP4_Size | GetConstructedDataSize ()
void | AddReference ()
void | Release ()
int | GetRelativeTime () const
bool | GetPBit () const
bool | GetXBit () const
bool | GetMBit () const
AP4_UI08 | GetPayloadType () const
AP4_UI16 | GetSequenceSeed () const
int | GetTimeStampOffset () const
bool | GetBFrameFlag () const
bool | GetRepeatFlag () const
AP4_List< AP4_RtpConstructor > & | GetConstructors ()

## Detailed Description

Definition at line 80 of file Ap4RtpHint.h.

## Constructor & Destructor Documentation

AP4_RtpPacket::AP4_RtpPacket | ( | AP4_ByteStream & | stream | ) |

AP4_RtpPacket::AP4_RtpPacket | ( | int | relative_time,
|  | bool | p_bit,
|  | bool | x_bit,
|  | bool | m_bit,
|  | AP4_UI08 | payload_type,
|  | AP4_UI16 | sequence_seed,
|  | int | time_stamp_offset = `0`,
|  | bool | bframe_flag = `false`,
|  | bool | repeat_flag = `false` |
| ) |  |  |

AP4_RtpPacket::~AP4_RtpPacket | ( |  | ) |

## Member Function Documentation

AP4_Result AP4_RtpPacket::Write | ( | AP4_ByteStream & | stream | ) |

AP4_Result AP4_RtpPacket::AddConstructor | ( | AP4_RtpConstructor * | constructor | ) |

AP4_Size AP4_RtpPacket::GetSize | ( |  | ) |

AP4_Size AP4_RtpPacket::GetConstructedDataSize | ( |  | ) |

void AP4_RtpPacket::AddReference | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

void AP4_RtpPacket::Release | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

int AP4_RtpPacket::GetRelativeTime | ( |  | ) | const`[inline]`

Definition at line 107 of file Ap4RtpHint.h.

bool AP4_RtpPacket::GetPBit | ( |  | ) | const`[inline]`

Definition at line 108 of file Ap4RtpHint.h.

bool AP4_RtpPacket::GetXBit | ( |  | ) | const`[inline]`

Definition at line 109 of file Ap4RtpHint.h.

bool AP4_RtpPacket::GetMBit | ( |  | ) | const`[inline]`

Definition at line 110 of file Ap4RtpHint.h.

AP4_UI08 AP4_RtpPacket::GetPayloadType | ( |  | ) | const`[inline]`

Definition at line 111 of file Ap4RtpHint.h.

AP4_UI16 AP4_RtpPacket::GetSequenceSeed | ( |  | ) | const`[inline]`

Definition at line 112 of file Ap4RtpHint.h.

int AP4_RtpPacket::GetTimeStampOffset | ( |  | ) | const`[inline]`

Definition at line 113 of file Ap4RtpHint.h.

bool AP4_RtpPacket::GetBFrameFlag | ( |  | ) | const`[inline]`

Definition at line 114 of file Ap4RtpHint.h.

bool AP4_RtpPacket::GetRepeatFlag | ( |  | ) | const`[inline]`

Definition at line 115 of file Ap4RtpHint.h.

AP4_List<AP4_RtpConstructor>& AP4_RtpPacket::GetConstructors | ( |  | ) | `[inline]`

Definition at line 116 of file Ap4RtpHint.h.

The documentation for this class was generated from the following file:

- Ap4RtpHint.h